#
# spec file for package gsettings-desktop-schemas
#
# Copyright (c) 2024 SUSE LLC
# Copyright (c) 2010 Dominique Leuenberger, Amsterdam, Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gsettings-desktop-schemas
Version:        46.0
Release:        2.1
Summary:        Shared GSettings Schemas for the Desktop
License:        LGPL-2.1-or-later
Group:          System/GUI/GNOME
URL:            https://gnome.org/
Source0:        %{name}-%{version}.tar.zst
# SOURCE-FIX-SLE 00_org.gnome.desktop.peripherals.gschema.override bsc#1171593 alynx.zhou@suse.com -- Change touchpad click method to default
Source1:        00_org.gnome.desktop.peripherals.gschema.override

# PATCH-FEATURE-OPENSUSE gsettings-desktop-schemas-fate324570-Add-key-for-GDM-background-configuration.patch fate#324570, glgo#GNOME/gnome-shell#680 qkzhu@suse.com -- This key is used by gnome-shell-fate324570-Make-GDM-background-image-configurable.patch
Patch0:         gsettings-desktop-schemas-fate324570-Add-key-for-GDM-background-configuration.patch

BuildRequires:  gobject-introspection-devel >= 1.31.0
BuildRequires:  meson >= 0.50.0
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gio-2.0) >= 2.31.0
# Default fonts in the schemas
Recommends:     cantarell-fonts
Recommends:     adobe-sourcecodepro-fonts

%description
A collection of GSettings schemas for settings shared by various
components of a desktop.

%package devel
Summary:        Shared GSettings Schemas for the Desktop -- Development Files
License:        GPL-2.0-or-later
Group:          Development/Languages/C and C++
Requires:       %{name} = %{version}

%description devel
A collection of GSettings schemas for settings shared by various
components of a desktop.

This package contains development files.

%lang_package

%prep
%autosetup -p1
%if 0%{?sle_version}
cp -a %{SOURCE1} .
%endif

%build
%meson \
	%{nil}
%meson_build

%install
%meson_install
%if 0%{?sle_version}
install -D -m0644 00_org.gnome.desktop.peripherals.gschema.override %{buildroot}%{_datadir}/glib-2.0/schemas/00_org.gnome.desktop.peripherals.gschema.override
%endif
%find_lang %{name} %{?no_lang_C}

%files
%license COPYING
%doc NEWS README
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.a11y.applications.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.a11y.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.a11y.interface.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.a11y.keyboard.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.a11y.magnifier.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.a11y.mouse.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.app-folders.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.background.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.background.lockdialog.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.calendar.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.datetime.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.default-applications.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.input-sources.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.interface.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.lockdown.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.media-handling.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.notifications.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.peripherals.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.privacy.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.screensaver.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.search-providers.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.session.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.sound.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.thumbnail-cache.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.thumbnailers.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.wm.keybindings.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.wm.preferences.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.system.locale.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.system.location.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.system.proxy.gschema.xml
%if 0%{?sle_version}
%{_datadir}/glib-2.0/schemas/00_org.gnome.desktop.peripherals.gschema.override
%endif
%dir %{_datadir}/GConf
%dir %{_datadir}/GConf/gsettings
%{_datadir}/GConf/gsettings/gsettings-desktop-schemas.convert
%{_datadir}/GConf/gsettings/wm-schemas.convert
%{_libdir}/girepository-1.0/GDesktopEnums-3.0.typelib
%{_datadir}/locale/en_GB/LC_MESSAGES/gsettings-desktop-schemas.mo
%{_datadir}/locale/en_US/LC_MESSAGES/gsettings-desktop-schemas.mo

%files devel
%doc AUTHORS ChangeLog HACKING MAINTAINERS
%{_includedir}/%{name}/
%{_datadir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/GDesktopEnums-3.0.gir

%files lang -f %{name}.lang
%exclude %{_datadir}/locale/en_GB/LC_MESSAGES/gsettings-desktop-schemas.mo
%exclude %{_datadir}/locale/en_US/LC_MESSAGES/gsettings-desktop-schemas.mo

%changelog
* Mon May  6 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Move en_US and en_GB 'translations' to the main package. Do not
  force the -lang package on all users.
* Sun Mar 17 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Update to version 46.0:
  + Updated translations.
* Tue Mar 12 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Update to version 46.rc:
  + Make default clock format overridable by translators.
  + Updated translations.
* Tue Mar 12 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Update to version 46.beta:
  + Add key to modify XKB options.
  + Add key to indicate whether switches should indicate state with
    shapes.
  + Updated translations.
* Tue Mar 12 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Update to version 46.alpha:
  + Update default background file extension to jxl.
  + Updated translations.
- Convert to source service for easier updating.
* Mon Mar 11 2024 Xiaoguang Wang <xiaoguang.wang@suse.com>
- Update gsettings-desktop-schemas-fate324570-Add-key-for-GDM-background-configuration.patch:
  Add key picture-uri-dark (bsc#1221205).
* Tue Nov 28 2023 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup instead of %%setup/%%patch.
* Sat Sep 16 2023 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 45.0:
  + Updated translations.
* Wed Sep  6 2023 Luciano Santos <luc14n0@opensuse.org>
- Update to version 45.rc:
  + Updated translations.
* Fri Aug 11 2023 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 45.beta:
  + Updated translations.
* Fri Jul  7 2023 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 45.alpha:
  + Revert back to jpeg wallpapers
  + Update focus-new-window description to new behavior
  + Remove window shading
  + Change default to not autostart software from media
  + Updated translations.
* Mon Mar 20 2023 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 44.0:
  + Updated translations.
* Fri Feb 24 2023 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 44.beta:
  + Build improvements.
  + Updated translations.
* Sun Sep 18 2022 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 43.0:
  + Updated translations.
* Tue Sep  6 2022 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 43.rc.1:
  + Update default background file extension to webp
  + Updated translations.
* Mon Sep  5 2022 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 43.rc:
  + Add setting for touchpad acceleration profiles
  + Add specific schema for trackpoint pointer devices
  + Updated translations.
* Mon Jul 18 2022 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 43.alpha:
  + Fix description of use-same-proxy setting.
  + Updated translations.
* Sun Mar 20 2022 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 42.0:
  + Updated translations.
* Mon Mar  7 2022 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 42.rc:
  + Updated translations.
* Mon Feb 14 2022 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 42.beta:
  + Add setting to control privacy screen feature.
  + Updated translations.
* Mon Jan 10 2022 Dominique Leuenberger <dimstar@opensuse.org>
- Update to version 42.alpha:
  + Add color scheme setting and high-contrast preference
  + Updated translations.
* Sun Sep 19 2021 Michael Gorse <mgorse@suse.com>
- Update to version 41.0:
  + Updated translations.
* Thu Sep 16 2021 Stanislav Brabec <sbrabec@suse.com>
- Remove obsolete translation-update-upstream support
  (jsc#SLE-21105).
* Mon Aug 30 2021 Dominique Leuenberger <dimstar@opensuse.org>
- Update to version 41.rc:
  + Stop setting legacy GNOME 2 shortcut by default.
  + Updated translations.
* Mon Aug 23 2021 Dominique Leuenberger <dimstar@opensuse.org>
- Update to version 41.alpha:
  + Add lockdown setting for revealing passwords.
  + Updated translations.
* Mon Mar 22 2021 Dominique Leuenberger <dimstar@opensuse.org>
- Update to version 40.0:
  + Updated translations.
* Thu Mar 18 2021 Dominique Leuenberger <dimstar@opensuse.org>
- Update to version 40.rc:
  + Updated translations.
* Tue Feb 16 2021 Dominique Leuenberger <dimstar@opensuse.org>
- Update to version 40.beta:
  + Use pgUp/Down shortcuts for horizontal workspace switching.
  + Add super-based workspace navigation shortcuts.
  + Remove “gnome-fallback” as a valid session name.
  + Fix summary of `two-finger-scroll-enabled` key.
  + Updated translations.
* Mon Jan 11 2021 Dominique Leuenberger <dimstar@opensuse.org>
- Update to version 40.alpha:
  + Add scroll button locking to trackballs.
  + Move mouse drag-threshold/double-click settings here.
  + Move antialiasing/hinting/rgba-order settings here.
  + Updated translations.
* Mon Sep 14 2020 dimstar@opensuse.org
- Update to version 3.38.0:
  + Updated translations.
* Sun Sep 13 2020 QK ZHU <qkzhu@suse.com>
- Update gsettings-desktop-schemas-fate324570-Add-key-for-GDM-background-configuration.patch:
  Set noise-texture.png as the default value of picture-uri to
  avoid failed to load background error (boo#1176418).
* Wed Sep  9 2020 dimstar@opensuse.org
- Update to version 3.37.92:
  + Build gir even when cross-compiling.
  + Updated translations.
* Fri Sep  4 2020 dimstar@opensuse.org
- Update to version 3.37.2:
  + USB protection is enabled by default.
  + Add tap-button-map and tap-drag-lock settings.
  + Treat x-content/ostree-repository as software.
  + Fix introspection on Visual Studio.
  + Fix quotes in user strings to use HIG typography.
  + Updated translations.
* Fri Aug  7 2020 QK ZHU <qkzhu@suse.com>
- Update gsettings-desktop-schemas-fate324570-Add-key-for-GDM-background-configuration.patch:
  + Remove noise texture background
  + Tweak the gdm grey color to be the same with 3.36 default behavior
    (boo#1172826).
* Thu Jul 30 2020 Dominique Leuenberger <dimstar@opensuse.org>
- Call %%meson_build in %%build section, not %%meson_install.
* Fri May 22 2020 Alynx Zhou <alynx.zhou@suse.com>
- Add 00_org.gnome.desktop.peripherals.gschema.override: in
  SLE-15-SP2 and Leap 15.2, revert touchpad click method default
  value via gsettings vendor overrides, in order to be consistent
  with earlier service pack (bsc#1171593).
* Thu Apr 30 2020 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.36.1:
  + Updated translations.
* Wed Mar 11 2020 mgorse@suse.com
- Update to version 3.36.0:
  + Updated translations.
* Tue Feb 18 2020 Dominique Leuenberger <dimstar@opensuse.org>
- Update to version 3.35.91:
  + Add USB protection key.
  + Updated translations.
* Sat Jan 25 2020 Dominique Leuenberger <dimstar@opensuse.org>
- No longer recommend -lang: supplements are in use
* Tue Sep 10 2019 mgorse@suse.com
- Update to version 3.34.0:
  + Translation updates.
* Thu Sep  5 2019 luke@ljones.dev
- Update to version 3.33.92:
  + Translation updates.
* Sat Aug 31 2019 mgorse@suse.com
- Update to version 3.33.90:
  + Add 'middle-click-emulation' setting.
  + Updated translations.
- Changes from version 3.33.1:
  + Add 'enable-hot-corners' setting.
  + Updated translations.
- Changes from version 3.33.0:
  + Add mount-removable-storage-devices-as-read-only lockdown
    option.
  + Add setting for overlay scrolling.
  + Add locate-pointer setting.
  + Add settings to store numlock state.
  + Updated translations.
- Require meson >= 0.50.0.
* Fri Mar 22 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Add adobe-sourcecodepro-fonts Recommends: New default font for
  monospace was added for version 3.32.x.
* Thu Mar 21 2019 Chingkai <qkzhu@suse.com>
- Rebase gsettings-desktop-schemas-fate324570-Add-key-for-GDM-background-configuration.patch
  (bsc#1120178)
* Tue Mar 12 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.32.0:
  + Updated translations.
* Wed Mar  6 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.31.92:
  + Drop legacy build systems.
  + Updated translations.
* Thu Feb 21 2019 bjorn.lie@gmail.com
- Update to version 3.31.91:
  + Updated translations.
* Sun Feb 17 2019 bjorn.lie@gmail.com
- Update to version 3.31.90:
  + Updated default monospace font.
  + More meson build fixes.
  + Updated translations.
- Switch to meson build system, add meson BuildRequires and macros.
- Drop obsolete gnome-common and intltool BuildRequires.
* Tue Jan 15 2019 bjorn.lie@gmail.com
- Update to version 3.31.0.2:
  + Fixed generation of enums XML on meson builds.
  + Convert post-install script to python.
  + Updated translations.
* Fri Jan  4 2019 bjorn.lie@gmail.com
- Update to version 3.31.0.1:
  + Brown paper bag release, included several fixes to meson build.
- Changes from version 3.31.0:
  + Add settings to inhibit microphone/camera.
  + Change tablets'/touchscreens' "display" setting to "output" one
    with different semantics.
  + Added meson build support.
  + Changed default clock settings.
  + Added XF86Keyboard keybinding to cycle the keyboard layout.
- Disable gsettings-desktop-schemas-fate324570-Add-key-for-GDM-background-configuration.patch
  Needs rebase.
- Add gnome-common BuildRequires and bootstrap tarball.
- Replace glib2-devel with pkgconfig(gio-2.0) BuildRequires.
* Mon Nov 12 2018 qkzhu@suse.com
- Add gsettings-desktop-schemas-fate324570-Add-key-for-GDM-background-configuration.patch:
  + Add settings for org.gnome.desktop.background.lockdialog
    This key is for the background of lockDialogGroup which makes login
    and lock background configurable. The default behavior will be
    retained to what it is currently.
  + This patch is required by a patch in GNOME Shell
    gnome-shell-fate324570-Make-GDM-background-image-configurable.patch
  (fate#324570, glgo#GNOME/gnome-shell#680).
* Wed Sep  5 2018 bjorn.lie@gmail.com
- Update to version 3.28.1:
  + Set default background image for screen lock to an existing
    one.
  + Updated translations.
* Mon Mar 12 2018 dimstar@opensuse.org
- Update to version 3.28.0:
  + Updated translations.
* Mon Mar  5 2018 dimstar@opensuse.org
- Update to version 3.27.92:
  + Updated translations.
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Wed Feb  7 2018 luc14n0@linuxmail.org
- Update to version 3.27.90:
  + Add setting about whether to allow volume above 100%%.
  + Change default click method for touchpads, from Windows-style
    soft-button areas, to Mac-style two-finger right-click. This
    does not change the settings for trackpoints or touchpads that
    don't support multi-touch.
  + Add tertiary button action for Wacom styli.
- Remove unneeded %%clean section: RPM does this work itself
  nowadays.
- Adopt the use of %%make_build macro rather than raw make command,
  following the best practices.
- Drop gnome-common BuildRequires and autogen.sh call: they are no
  longer needed/used.
* Wed Oct 25 2017 luc14n0@linuxmail.org
- Update to version 3.27.1:
  + Add a gsettings key to show/hide weekday.
  + gschema: Fix gettext-domain.
  + Updated translations.
- Drop %%glib2_gsettings_schema_* post/postun/requires macros:
  functionality now covered by file triggers.
* Mon Sep  4 2017 zaitor@opensuse.org
- Update to version 3.24.1:
  + Update GConf convert scripts to cater for peripherals.
  + Win32 build fixes.
  + Updated translations.
* Mon Mar 20 2017 dimstar@opensuse.org
- Update to version 3.24.0:
  + Updated translations.
* Wed Feb 15 2017 dimstar@opensuse.org
- Update to version 3.23.90:
  + Use more fancy characters in translatable strings.
  + Fix "<super>s" shortcut being used for 2 separate actions.
* Wed Jan 11 2017 zaitor@opensuse.org
- Update to version 3.23.3:
  + Add "Disable while typing" touchpad setting.
  + Add a gsetting to back Gtk/EnablePrimaryPaste.
  + Add "tap-and-drag" for touchpads.
* Tue Sep 20 2016 dimstar@opensuse.org
- Update to version 3.22.0:
  + Updated translations.
* Fri Aug 19 2016 zaitor@opensuse.org
- Update to version 3.21.4:
  + Add tablet/stylus/pad schemas.
  + Add mouse/trackpad accel profile keys.
  + Updated translations.
* Tue Jun 21 2016 zaitor@opensuse.org
- Update to version 3.21.3:
  + Add a setting to store input sources MRU list.
  + Updated translations.
* Sat May 28 2016 zaitor@opensuse.org
- Update to version 3.21.2:
  + Add a setting to enable weekdates in calendars.
  + Updated translations.
* Wed Apr 13 2016 idonmez@suse.com
- Update to GNOME 3.20  Fate#318572
- Remove gsettings-desktop-schemas-bnc872820-wm-button-layout.patch
  upstreamed.
* Mon Mar 21 2016 dimstar@opensuse.org
- Update to version 3.20.0:
  + Updated translations.
* Thu Mar 17 2016 dimstar@opensuse.org
- Update to version 3.19.92:
  + Add a setting to enable caret mode.
  + Updated translations.
* Tue Feb 16 2016 zaitor@opensuse.org
- Update to version 3.19.90:
  + Update desktop file IDs for search providers.
  + Updated translations.
* Thu Dec 17 2015 dimstar@opensuse.org
- Update to version 3.19.3:
  + Remove scroll-method key, and add edge-scroll-enabled key
    for touchpads.
  + Revert natural scrolling being applies to non-touchpad devices
    by default.
  + Updated translations.
* Thu Nov 26 2015 zaitor@opensuse.org
- Update to version 3.19.2:
  + Add setting to show battery percentage.
  + Updated translations.
* Tue Oct 20 2015 zaitor@opensuse.org
- Update to version 3.18.1:
  + Add instructions and scripts for building on Win32.
  + Updated translations.
* Mon Sep 21 2015 dimstar@opensuse.org
- Update to version 3.18.0:
  + Updated translations.
* Wed Sep 16 2015 dimstar@opensuse.org
- Update to version 3.17.92:
  + Fix typographical errors.
  + Updated translations.
* Tue Apr 14 2015 zaitor@opensuse.org
- Update to version 3.16.1:
  + Use system font in titlebar by default.
  + Updated translations.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 3.16.0:
  + Updated translations.
* Wed Mar 18 2015 dimstar@opensuse.org
- Update to version 3.15.92:
  + Add a way to turn off "PC-style" right-click for touchpads.
  + Updated translations.
* Tue Feb 17 2015 dimstar@opensuse.org
- Update to version 3.15.90:
  + Use intltool to translate GSettings schema files directly.
  + Updated translations.
* Tue Jan 20 2015 badshah400@gmail.com
- Update to version 3.15.4:
  + Adopt peripherals' gschemas from gnome-settings-daemon.
  + Change the default focus-tracking key.
  + Update docs for
    org.gnome.desktop.wm.preferences.raise-on-click.
  + Deprecate window manager theme key.
  + Add report-technical-problems key to privacy.
* Wed Oct 15 2014 dimstar@opensuse.org
- Update to version 3.14.1:
  + Disable default action on middle-click on titlebar.
  + Updated translations.
* Fri Sep 26 2014 federico@suse.com
- Add gsettings-desktop-schemas-bnc872820-wm-button-layout.patch:
  This lets us have the correct defaults for the window manager's
  button layout, for the default session mode (i.e. not Classic)
  (bnc872820).
* Mon Sep 22 2014 zaitor@opensuse.org
- Update to version 3.14.0:
  + Disable location service by default.
  + Updated translations.
* Sun Sep  7 2014 zaitor@opensuse.org
- Update to version 3.13.92:
  + Updated translations.
* Tue Aug 19 2014 dimstar@opensuse.org
- Update to version 3.13.91:
  + Add a whitelist in addition to a black list for search
    providers.
* Mon Aug 18 2014 dimstar@opensuse.org
- Update to version 3.13.90:
  + Add Location settings.
  + Add default bindings for "backward" keyboard shortcuts.
  + Windows build bug fix.
  + Fix location of the default backgrounds.
* Sat Jul 12 2014 dimstar@opensuse.org
- Update to version 3.13.2:
  + Switch default icon theme to Adwaita.
  + Remove minimize and maximize from default button layout.
- Changes from version 3.13.1:
  + Add switch to last/first workspace keybindings.
  + Updated translations.
* Sat May 17 2014 zaitor@opensuse.org
- Update to version 3.12.0:
  + Updated translations.
* Mon Mar 24 2014 dimstar@opensuse.org
- Update to version 3.12.0:
  + Updated translations.
* Tue Mar 18 2014 dimstar@opensuse.org
- Update to version 3.11.91:
  + Disable 'send-software-usage-stats' by default.
  + Updated translations.
* Wed Feb 19 2014 zaitor@opensuse.org
- Update to version 3.11.90:
  + Add 'send-software-usage-stats' key.
  + Updated translations.
* Tue Feb  4 2014 dimstar@opensuse.org
- Update to version 3.11.5:
  + Extend app folder schema.
  + Updated translations.
* Mon Jan 13 2014 dimstar@opensuse.org
- Update to version 3.11.4:
  + Add an app folder setting.
  + Updated translations.
* Fri Dec 20 2013 dimstar@opensuse.org
- Update to version 3.11.3:
  + Add 'Always on Top' key.
  + Add keybindings to move windows between monitors.
  + Updated translations.
* Wed Oct 16 2013 dimstar@opensuse.org
- Update to version 3.10.1:
  + New default lock screen background. Please update
    gnome-backgrounds to 3.10.1 as well.
  + Updated translations.
* Thu Sep 26 2013 dimstar@opensuse.org
- Drop gnome-backgrounds Recommends: the KDE team is unhappy that
  we try to install an error free GNOME desktop. The requirement
  is no longer very important though, as glib2-branding-openSUSE
  adds an override file, setting the lockscreen wallpaper to a
  openSUSE branded one. Thus, only users of the upstream branding
  package will be hit badly.
* Mon Sep 23 2013 dimstar@opensuse.org
- Update to version 3.10.0:
  + Updated translations.
* Tue Sep 17 2013 dimstar@opensuse.org
- Add gnome-backgrounds Recommends: the default lock screen
  wallpaper (Sunset.png) referenced by the schema is in this
  package.
* Mon Sep  2 2013 zaitor@opensuse.org
- Update to version 3.9.91:
  + Add datetime schema.
  + Set a different lock screen background by default.
  + Updated translations.
* Tue Aug 20 2013 dimstar@opensuse.org
- Update to version 3.9.90:
  + Add settings for focus/caret tracking.
* Tue Jul 30 2013 dimstar@opensuse.org
- Update to version 3.9.5:
  + Remove settings for deprecated gtk-settings.
  + Remove application-based option, deprecated in mutter.
* Fri Jun 21 2013 dimstar@opensuse.org
- Update to version 3.9.3:
  + Updated translations.
* Tue May 28 2013 dimstar@opensuse.org
- Update to version 3.9.2:
  + Add remember-app-usage key to privacy schema.
  + Add alternative shortcut for toggling the overview.
  + Add always-show-universal-access-status key to a11y schema.
  + Updated translations.
* Tue May 14 2013 dimstar@opensuse.org
- Update to version 3.8.2:
  + Fix description of "sort-order" key in the search providers
    schema.
  + Don't migrate metacity themes from GNOME 2.
  + Updated translations.
* Mon Mar 25 2013 dimstar@opensuse.org
- Update to version 3.8.0:
  + Updated translations.
* Wed Mar 20 2013 dimstar@opensuse.org
- Update to version 3.7.92:
  + Updated translations.
* Fri Mar 15 2013 sbrabec@suse.cz
- Added support for translation-update-upstream.
* Tue Mar  5 2013 dimstar@opensuse.org
- Update to version 3.7.91:
  + Add keys for the screensaver wallpaper.
  + Remove the obsolete draw-background key.
  + Updated translations.
* Wed Feb 20 2013 dimstar@opensuse.org
- Update to version 3.7.90:
  + Add the IPv6 localhost to the default ignored hosts for proxy.
  + Make Alt-Tab be synonymous with the default shell switcher.
  + Lower default idle delay to 300 seconds.
* Tue Feb  5 2013 dimstar@opensuse.org
- Update to version 3.7.5:
  + Rename resident-in-lock-screen key.
  + Use the Super key for workspace and application switcher
    shortcuts.
  + Updated translations.
* Tue Jan 15 2013 dimstar@opensuse.org
- Update to version 3.7.4:
  + Clarify definition of resident-in-lock-screen.
  + Add a 'per-window' key to the input sources schema.
  + Use Super+H (for hide) as the default value for minimise.
  + Add show-full-name-in-top-bar to privacy schemas.
  + Rename show-full-name lock screen key to
    show-full-name-in-top-bar.
  + Mark a number of keys as deprecated and obsolete.
* Tue Jan  8 2013 dimstar@opensuse.org
- Update to version 3.7.3:
  + Add lockdown mode key for user-accounts.
  + Add trash, temp files and recent files related settings.
  + Add schemas for notification filtering.
  + Add new "switch-application" keybinding, so that
    the "switch-windows" keybinding can be kept for the legacy mode
  + Add new switch-input-source keybinding.
- Changes from version 3.7.2:
  + Add a schema for desktop search providers (bgo#687489)
  + Add a schema for privacy settings (bgo#688578)
  + Add a show-full-name setting for the lock screen
  + Quote a11y feature names (bgo#687292)
  + Remove unneeded XML escaping (bgo#687291)
  + Fix a typo (bgo#686861)
  + Updated translations.
* Tue Nov 13 2012 dimstar@opensuse.org
- Update to version 3.6.1:
  + Updated translations.
* Tue Sep 25 2012 dimstar@opensuse.org
- Update to version 3.6.0:
  + Updated translations.
* Mon Sep 17 2012 zaitor@opensuse.org
- Update to version 3.5.92:
  + Change default list of input sources to be empty, so the
    default layout is inherited from the current settings.
  + Updated translations.
* Tue Sep  4 2012 dimstar@opensuse.org
- Update to version 3.5.91:
  + Add option to show all the available input sources in the UI
  + Updated translations.
* Tue Aug 21 2012 dimstar@opensuse.org
- Update to version 3.5.90:
  + Add xkb-options key to input-sources
  + Updated translations.
* Tue Jul 17 2012 dimstar@opensuse.org
- Update to version 3.5.4:
  + Add colour saturation setting for the magnifier.
  + Change default keyboard shortcut for "Maximise".
  + Updated translations.
* Mon Jun 25 2012 dimstar@opensuse.org
- Update to version 3.5.3:
  + Add show-notifications setting (bgo#677640).
  + Updated translations.
* Fri Jun  8 2012 dimstar@opensuse.org
- Update to version 3.5.2:
  + bgo#607797: Change the default mouse-button-modifier to Super
  + bgo#645665: Add brightness and contrast preferences
  + bgo#676101: Add input-sources schema
  + Updated translations.
* Tue May 15 2012 vuntz@opensuse.org
- Update to version 3.4.2:
  + Updated translations.
* Tue Apr 17 2012 vuntz@opensuse.org
- Update to version 3.4.1:
  + Updated translations.
* Tue Mar 27 2012 vuntz@opensuse.org
- Update to version 3.4.0:
  + Updated translations.
* Tue Mar 20 2012 dimstar@opensuse.org
- Update to version 3.3.92:
  + Adjust default bindings for maximize/restore.
  + Make evolution launch the correct component.
  + Update default background URI.
  + Updated translations.
* Tue Feb 21 2012 vuntz@opensuse.org
- Update to version 3.3.90:
  + Update introspection dependency
  + Updated translations.
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Sat Nov 26 2011 dimstar@opensuse.org
- Add gobject-introspection-devel BuildRequires in order to get
  GDEsktopEnums-3.0.gir built, which is needed by mutter 3.3.2 now.
- Stop building package as noarch: the resulting typelib file are
  arch dependent.
* Tue Nov 22 2011 dimstar@opensuse.org
- Update to version 3.3.2:
  + Add shared wm schemas
  + Updated translations.
- Drop gsettings-desktop-schemas-x-content-software.patch: fixed
  upstream.
* Mon Oct 24 2011 vuntz@opensuse.org
- Add gsettings-desktop-schemas-x-content-software.patch: fix
  autostart for media containing software.
* Mon Sep 26 2011 vuntz@opensuse.org
- Update to version 3.2.0:
  + Updated translations.
* Mon Sep 19 2011 vuntz@opensuse.org
- Update to version 3.1.92:
  + Enable maintainer mode by default
  + Don't migrate the icon-theme from GConf
  + Updated translations
* Tue Sep  6 2011 vuntz@opensuse.org
- Update to version 3.1.91:
  + Add org.gnome.desktop.interface.{clock-show-seconds,
    clock-show-date}
  + Improve documentation for org.gnome.system.proxy
  + Updated translations
* Tue Jul  5 2011 vuntz@opensuse.org
- Update to version 3.1.3:
  + Add org.gnome.system.locale schema
  + Remove org.gnome.desktop.default-applications.at remains
  + Add some ranges to magnifier schemas
  + Updated translations
* Wed Apr 27 2011 fcrozat@novell.com
- Update to version 3.0.1:
  + Don't migrate background-related keys
  + Don't migrate custom GTK+ color schemes and various GTK+ tweaks
    keys.
- Drop gsettings-desktop-schemas-overoptimistic-convert.patch:
  fixed upstream.
* Fri Apr  8 2011 dimstar@opensuse.org
- Add gsettings-desktop-schemas-overoptimistic-convert.patch:
  Remove some questionable conversions.
* Mon Apr  4 2011 fcrozat@novell.com
- Update to version 3.0.0
  + Updated translations.
* Mon Mar 21 2011 fcrozat@novell.com
- Update to version 2.91.92:
  + Use picture-uri instead of picture-filename (bgo#633983)
  + Remove at mobility schema conversion
  + Use seconds instead of minutes in idle and lock times
  + Remove idle and screensaver settings form the conversion
- Changes from version 2.91.91:
  + Disable toolkit-accessibility by default.
  + Add "disable-log-out" to lockdown.
  + Remove mobility configuration, we only support caribou's.
    on-screen keyboard.
  + Remove default-applications.browser schema from conversion
    script.
  + Remove unused "use-custom-font" setting.
  + Add "text-scaling-factor" key.
  + Remove obsolete screensaver settings.
* Thu Mar  3 2011 vuntz@opensuse.org
- Add cantarell-fonts Recommends, since it's the default font in
  the schemas.
* Tue Feb 22 2011 fcrozat@novell.com
- Update to version 0.1.7:
  + Change org.gnome.desktop.session/idle-delay to a uint
  + Move gnome-screensaver settings here
  + Remove "status-bar-meter-on-right" setting
  + Remove duplicated "idle-delay" key
  + Remove web browser default preference
  + Make sure all the schemas are translatable
  + Use Cantarell 11pt as the default UI font
  + Add magnifier schemas from gnome-shell
  + Fix schemas path in a11y schemas
  + Add "session-name" to org.gnome.desktop.session
  + Rename "accessibility" key to "toolkit-accessibility"
  + Remove AT visual preference, we only support orca as a screen
    reader
  + Remove the duplicate on-screen keyboard startup key
- Create lang subpackage.
* Tue Feb  8 2011 fcrozat@novell.com
- Update to version 0.1.5:
  + Add org.gnome.desktop.session schema
  + Add automatic-mnemonics key to org.gnome.desktop.interface
  + Fix paths for org.gnome.desktop.default-applications.office
    settings
* Fri Jan 14 2011 fcrozat@novell.com
- Adapt source service support to handle missing autogen.sh
* Tue Jan 11 2011 fcrozat@novell.com
- Update to version 0.1.4 :
  + Add thumbnailer schemas
  + Don't show icons on the desktop by default
- Add support for source service checkout, with %%BUILD_FROM_VCS:
  + Add gnome-common BuildRequires.
  + Add call to ./autogen.sh.
* Thu Dec 23 2010 dimstar@opensuse.org
- Update to version 0.1.3:
  + Add a key for the clock format
  + Disable migration of GTK+ and cursor themes
  + Change default background gradient colours
* Wed Dec  8 2010 vuntz@opensuse.org
- Update to version 0.1.2:
  + Add new media-handling schemas taken from Nautilus
- Changes from version 0.1.1:
  + Misc. schema updates
- Changes from 0.1.0:
  + Relicense to LGPLv2+
  + Set things up for translation
  + Add a GConf conversion script
  + Misc. schema updates
- Change license tag to LGPLv2+.
- Remove pkgconfigdir override on %%makeinstall: fixed upstream.
* Thu Oct  7 2010 dimstar@opensuse.org
- Initial package, version 0.0.1.
